Create a new agent schema version
POST /api/v1/agent_schema_version
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
A valid agent ID
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qrA valid agent schema version ID
Example
013xrzp12g3nqk8nzntq40gkzaf2d9m2Null
Optional map of span type names to their result payload JSON schemas. Keys may be a subset of span_schemas; missing keys default to a schema requiring empty object. Only used when span_schemas is provided.
object
object
Null
Array of span types with name, params_schema and optional result_schema.
One span type with name, params_schema and optional result_schema
object
Span type name (e.g. llm, tool)
JSON schema for the span payload
object
Null
Responses
Section titled “ Responses ”Success
object
object
A valid account ID
Example
013xrzp12g3nqk8ngskn1wtxgka5b0nfA valid agent ID
Example
013xrzp12g3nqk8nx0y2vfkg4s3jp2qrIs this the agent’s current schema version?
A valid environment ID
Example
013xrzp12g3nqk8nzxvq7jm2arsfg5h1External identifier for the agent schema version
Example
v0A valid agent schema version ID
Example
013xrzp12g3nqk8nzntq40gkzaf2d9m2When the agent schema version was created
Example
2024-01-01T00:00:00ZMap of span type names to their params and result JSON schemas
object
object
Span type name
JSON schema for the span payload
object
JSON schema for the span result payload (defaults to empty object if omitted when creating)
object
Human-readable title (defaults to name)
Example
{ "llm": { "name": "llm", "params_schema": { "properties": { "max_tokens": { "type": "integer" }, "model": { "type": "string" }, "temperature": { "type": "number" } }, "type": "object" }, "result_schema": { "properties": { "tokens": { "type": "integer" } }, "type": "object" } }, "tool": { "name": "tool", "params_schema": { "properties": { "input": { "type": "object" }, "name": { "type": "string" } }, "type": "object" }, "result_schema": { "additionalProperties": false, "type": "object" } }}Type of resource (always ‘agent_schema_version’)
Example
agent_schema_versionWhen the agent schema version was last updated
Example
2024-01-01T00:00:00ZExample
successdefault
Section titled “default ”Error
object
Example
bad_requestExample
errorobject
Example
validation_errorsExample
error